<?php
/**
* Template Name: AboutPage
*/
get_header();?>
<!-- About Us -->
<section class="about section">
	<div class="container">
		<div class="row">
			<?php
			
			$about_btn_text_1 = get_theme_mod('travelia_about_button_1_title');
			$about_btn_url_1 = get_theme_mod('travelia_about_button_1_url');
			$about_btn_text_2 = get_theme_mod('travelia_about_button_2_title');
			$about_btn_url_2 = get_theme_mod('travelia_about_button_2_url');
			$about_vedio_url = get_theme_mod('travelia_about_vedio_url');
			$args = array (
				'post_type' => 'page',
				'posts_per_page'=>1,
				'orderby'           =>'post__in',
			);

			$aboutloop = new WP_Query($args);

			if ($aboutloop->have_posts()) :  while ($aboutloop->have_posts()) : $aboutloop->the_post();?>
				<div class="col-lg-6 col-md-12 col-sm-12">
					<div class="about-content">
						<h3><?php the_title();?></h3>
						<?php the_content();?>
						<div class="button">
							<?php if($about_btn_text_1):?>
							<a href="<?php echo esc_url($about_btn_url_1);?>" class="btn"><?php echo esc_html($about_btn_text_1);?></a>
						<?php endif;?>
						<?php if($about_btn_text_2):?>
							<a href="<?php echo esc_url($about_btn_url_2);?>" class="btn primary"><?php echo esc_html($about_btn_text_2);?></a>
						<?php endif;?>
						</div>
					</div>

				</div>
				<div class="col-lg-6 col-md-12 col-sm-12">
					<div class="about-img overlay">
						<div class="button">
							<a href="<?php echo esc_url($about_vedio_url);?>" class="video video-popup mfp-iframe"><i class="fa fa-play"></i></a>
						</div>
						<?php if(has_post_thumbnail()):?>
							<?php the_post_thumbnail();?>
						<?php endif;?>
					</div>
				</div>
			<?php endwhile;
			wp_reset_postdata();  
		endif; ?>
	</div>
</div>
</section>
<!-- End About Us -->

<?php
get_template_part( 'sections/section', 'counter' );

get_template_part( 'sections/section', 'team' );

get_template_part( 'sections/section', 'cta' );

get_template_part( 'sections/section', 'clients' );

get_footer();