<?php
/**
 * The template for displaying archive pages
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package Travelia
 */

get_header();
?>

<!-- Testimonials -->
<section id="testimonials" class="testimonials archive overlay section">
	<div class="container">
		<div class="row">
			<div class="col-12">
				<div class="testimonial-slider-two">
					<?php
					$args = array (
						'post_type' => 'testimonial',
						'posts_per_page' => 12,
						'orderby'        =>'post__in',
					);
					$testimonialloop = new WP_Query($args);

					if ($testimonialloop->have_posts()) :  while ($testimonialloop->have_posts()) : $testimonialloop->the_post();?>
						<!-- Single Slider -->
						<div class="single-slider">
							<?php $value = get_post_meta( $post->ID, '_testimonial_designation_value_key', true );?>
							<div class="author">
								<?php if(has_post_thumbnail()): ?>
									<?php the_post_thumbnail(); ?> 
								<?php endif; ?>
								<h2><i class="icofont-quote-left"></i><a href="<?php the_permalink();?>"><?php the_title();?></a><i class="icofont-quote-right"></i><span> <?php echo esc_html($value);?></span></h2>
							</div>
							<div class="t-content">	
								<?php the_excerpt();?>
							</div>
						</div>
						<!--/ End Single Slider -->
					<?php  endwhile;
					wp_reset_postdata();  
				endif; ?>
			</div>
		</div>
	</div>
</div>
</section>
<!--/ End Testimonials -->

<?php
get_template_part( 'sections/section', 'clients' );


get_footer();
