<?php

/**
 * Travelia Blog Settings panel at Theme Customizer
 *
 * @package Travelia
 * @since 1.0.0
 */
add_action( 'customize_register', 'travelia_blog_settings_register' );

function travelia_blog_settings_register( $wp_customize ) {

/**
 * Add Blog Settings Panel
 *
 * @since 1.0.0
 */
$wp_customize->add_panel(
    'travelia_blog_settings_panel',
    array(
        'priority'       => 15,
        'capability'     => 'edit_theme_options',
        'theme_supports' => '',
        'title'          => __( 'Blog Settings', "travelia-pro" ),
    )
);


/*----------------------------------------------------------------------------------------------------------------------------------------*/
/**
 * Blog Archive Section
 *
 * @since 1.0.0
 */
$wp_customize->add_section(
    'travelia_blog_archive_options_section',
    array(
        'priority'       => 1,
        'panel'          => 'travelia_blog_settings_panel',
        'capability'     => 'edit_theme_options',
        'theme_supports' => '',
        'title'          => __( 'Blog Archive', "travelia-pro" ),
        'description'    => __( 'Choose the Blog Archive options to display at Blog Archive section', "travelia-pro" ),
    )
);


$wp_customize->add_setting('travelia_blog_archive_layout_settings', 
    array(
        'sanitize_callback' => 'travelia_sanitize_select',
        'default'           => 'right'
    )
);

$wp_customize->add_control('travelia_blog_archive_layout_settings', 
    array(
        'label'             => __( 'Blog Archive layouts', "travelia-pro" ),
        'description'       => esc_html__( 'Travelia Blog Archive Layout settings', "travelia-pro" ),
        'section'           => 'travelia_blog_archive_options_section',
        'type'              => 'radio',
        'choices'           => array(
            'right'         => esc_html__('Right Sidebar',"travelia-pro"),
            'left'         => esc_html__('Left Sidebar',"travelia-pro"),
            'none'         => esc_html__('None',"travelia-pro"),
        ),
        'settings'          => 'travelia_blog_archive_layout_settings'
    ) 
);


/*----------------------------------------------------------------------------------------------------------------------------------------*/
/**
 * Blog Single Section
 *
 * @since 1.0.0
 */
$wp_customize->add_section(
    'travelia_blog_single_options_section',
    array(
        'priority'       => 2,
        'panel'          => 'travelia_blog_settings_panel',
        'capability'     => 'edit_theme_options',
        'theme_supports' => '',
        'title'          => __( 'Blog Single', "travelia-pro" ),
        'description'    => __( 'Choose the Blog Single options to display at Blog Single section', "travelia-pro" ),
    )
);


$wp_customize->add_setting('travelia_blog_single_layout_settings', 
    array(
        'sanitize_callback' => 'travelia_sanitize_select',
        'default'           => 'right'
    )
);

$wp_customize->add_control('travelia_blog_single_layout_settings', 
    array(
        'label'             => __( 'Blog Single layouts', "travelia-pro" ),
        'description'       => esc_html__( 'Travelia Blog Single Layout settings', "travelia-pro" ),
        'section'           => 'travelia_blog_single_options_section',
        'type'              => 'radio',
        'choices'           => array(
         'right'         => esc_html__('Right Sidebar',"travelia-pro"),
         'left'         => esc_html__('Left Sidebar',"travelia-pro"),
         'none'         => esc_html__('None',"travelia-pro"),
     ),
        'settings'          => 'travelia_blog_single_layout_settings'
    ) 
);
}