<?php
/**
 * Register `team` post type
 */
function travelia_custom_post_type() {
	

   // Team Labels
	$team_labels = array(
		'name' => __("Team", "travelia-pro"),
		'singular_name' => __("Team", "travelia-pro"),
		'menu_name' => 'Team Profiles',
		'add_new' => __("Add New", "travelia-pro"),
		'add_new_item' => __("Add New Team Member","travelia-pro"),
		'edit_item' => __("Edit Team","travelia-pro"),
		'new_item' => __("New Team Memeber","travelia-pro"),
		'view_item' => __("View Team","travelia-pro"),
		'search_items' => __("Search Profiles","travelia-pro"),
		'not_found' =>  __("No Teams Member Found","travelia-pro"),
		'not_found_in_trash' => __("No Team Memeber Found in Trash","travelia-pro"),
		'parent_item_colon' => ''
	);

	//Team Arguments 
	$team_args = array(
		'labels' => $team_labels,
		'public' => true,
		'has_archive' => true,
		'show_in_menu'		=> true,
		'menu_position' => 7,
		'exclude_from_search' => false,
		'menu_icon'	=> 'dashicons-groups',
		'rewrite' => false,
		'supports' => array('title', 'editor', 'thumbnail'),
		'taxonomies' => array('team_categories','post_tag'),
	);
	

	// Why Choose Labels
	$wy_choose_labels = array(
		'name' => __("Why choose Us?", "travelia-pro"),
		'singular_name' => __("Why choose Us?", "travelia-pro"),
		'menu_name' => 'Why choose Us?',
		'add_new' => __("Add New", "travelia-pro"),
		'add_new_item' => __("Add New Why choose Us?",'travelia-pro'),
		'edit_item' => __("Edit Why choose Us?",'travelia-pro'),
		'new_item' => __("New Why choose Us?",'travelia-pro'),
		'view_item' => __("View Why choose Us?",'travelia-pro'),
		'search_items' => __("Search Why choose Us?",'travelia-pro'),
		'not_found' =>  __("No Why choose Us? Found",'travelia-pro'),
		'not_found_in_trash' => __("No Why choose Us? Found in Trash",'travelia-pro'),
		'parent_item_colon' => '',
	);

	// Why Choose Us? Arguments
	$why_choose_args = array(
		'labels' => $wy_choose_labels,
		'public' => true,
		'has_archive' => true,
		'show_in_menu'		=> true,
		'menu_position' => 8,
		'exclude_from_search' => false,
		'menu_icon'	=> 'dashicons-admin-page',
		'rewrite' => false,
		'supports' => array('title', 'editor', 'thumbnail'),
		'taxonomies' => array('why_choose_categories','post_tag')
	);

	// Testimonials Labels
	$testimonial_labels = array(
		'name' => __("Testimonials", "travelia-pro"),
		'singular_name' => __("Testimonial", "travelia-pro"),
		'menu_name' => 'Testimonial',
		'add_new' => __("Add New", "travelia-pro"),
		'add_new_item' => __("Add New testimonial",'travelia-pro'),
		'edit_item' => __("Edit testimonial",'travelia-pro'),
		'new_item' => __("New testimonial",'travelia-pro'),
		'view_item' => __("View testimonial",'travelia-pro'),
		'search_items' => __("Search testimonials",'travelia-pro'),
		'not_found' =>  __("No Testimonial Found",'travelia-pro'),
		'not_found_in_trash' => __("No Testimonial Found in Trash",'travelia-pro'),
		'parent_item_colon' => '',
	);

	// Testimonials Arguments
	$testimonial_args = array(
		'labels' => $testimonial_labels,
		'public' => true,
		'has_archive' => true,
		'show_in_menu'		=> true,
		'menu_position' => 9,
		'exclude_from_search' => false,
		'menu_icon'	=> 'dashicons-format-quote',
		'rewrite' => false,
		'supports' => array('title', 'editor', 'thumbnail'),
		'taxonomies' => array('testimonials_categories','post_tag'),
	);

	// Register post type
	register_post_type( 'team' , $team_args );
	register_post_type( 'why_choose' , $why_choose_args );
	register_post_type( 'testimonial' , $testimonial_args );

}


add_action( 'init', 'travelia_custom_post_type');

function why_choose_taxonomy() {  
	register_taxonomy(  
		'why_choose_categories', 
        'why_choose',        //post type name
        array(  
        	'hierarchical' => true,  
        	'label' => 'Why Choose Categories',
        	'query_var' => true
        )  
    );  
}  

add_action( 'init', 'why_choose_taxonomy');

function travelia_team_taxonomy() {  
	register_taxonomy(  
		'team_categories', 
        'team',        //post type name
        array(  
        	'hierarchical' => true,  
        	'label' => 'Department',
        	'query_var' => true
        )  
    );  
}  

add_action( 'init', 'travelia_team_taxonomy');


function testimonial_taxonomy() {  
    register_taxonomy(  
        'testimonial_categories', 
        'testimonial', //post type name
        array(  
            'hierarchical' => true,  
            'label' => 'Testimonial Categories',
            'query_var' => true
        )  
    );  
}  

add_action( 'init', 'testimonial_taxonomy');
/*
* Load metabox admin styles
*/
function travelia_load_metabox_admin_styles(){

	wp_enqueue_style( 'travel-company-pro-metabox', get_template_directory_uri().'/assets/css/metabox.css' );

}

add_action( 'admin_enqueue_scripts','travelia_load_metabox_admin_styles');



// Team Meta Box
require get_template_directory(). '/inc/metabox/travelia-team-meta-box.php';

// Why Choose Meta Box
require get_template_directory(). '/inc/metabox/travelia-why-choose-meta-box.php';

// Testimonials Meta Box
require get_template_directory(). '/inc/metabox/travelia-testimonials-meta-box.php';
